*{
    padding: none;
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 12px;
    box-sizing: border-box;
    scroll-behavior: smooth;
    outline: none;
    text-decoration: none;
}

/* --primary-color-light: rgb format - rgb(146, 214, 28), Hex format - #92d61c */
/* another of this primary color light variant: hex format: #9de620, rgb format:  rgb(157, 230, 32) */

/*  --main-primary-color-deep*/
/* hex format: #699c13, rgb format:  rgb(105, 156, 19) */
:root{
    --primary-color-deep:#699c13;
    --primary-color-light: #92d61c;
    --page-bgcolor:#f8f8f8;
    --pure-white:#fff;
    --generic-padding:0.7rem;
    --gray-color1:#555;
    --grey-bgcolor:#f0eff5;
}
body{
    width: 100%;
    overflow-x: hidden;
}
#site-container{
    position: relative;
    width: 100%;
    background-color: var(--page-bgcolor);
    min-height: 100vh;
    overflow-x: hidden;
}
link[rel="shortcut icon"]{
    width: 130px;
    height: 70px;
}

#contact--details-wrapper{
    position: relative;
    width: 100%;
    background-color: #002444;
    padding: 1rem;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 0.7rem;
    flex-wrap: wrap;
}
#contact--details-wrapper .contact-label{
    color: var(--pure-white);
    font-size: 1.2rem;
    font-weight: bold;
    text-transform: capitalize;
}
#contact--details-wrapper>.contact-info{
    position: relative;
    text-decoration: none;
    font-size: 1.7rem;
    font-weight: bold;
    color: var(--primary-color-light);
}

#site-header{
    position: relative;
    width: 100%;
    padding: 1rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1.5rem;
    background-color: #fff;
    border-bottom: 1px solid #ddd;
}

#navbar-toggle-btn-controller{
    display: none;
}

#brand-name-wrapper{
    position: relative;
    width: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    flex-wrap: wrap;
}
#brand-logo-wrapper{
    position: relative;
    /* width: 120px;
    height: 50px; */
    width: 100px;
    height: 40px
   
}
#brand-logo-wrapper #brand-logo{
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}
#brand-name-wrapper>#brand-name-inner-wrapper{
    position: relative;
}

#brand-name-inner-wrapper>#brand-name-label{
    font-size: 1.5rem;
    font-weight: bold;
    text-transform: capitalize;
    line-height: 1.2;
    color: var(--primary-color-deep);
}
#brand-name-inner-wrapper>#brand-name-slogan{
    font-size: 11px;
    font-weight: bold;
    text-transform: capitalize;
    line-height: 1.2;
    color: #f00;
}

#niesv-logo-wrapper{
    position: relative;
    width: 60px;
    height: 60px;
}
#niesv-logo-wrapper>#niesv-logo{
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}
#navbar{
    position: relative;
}
#navbar #navbarmenu{
    position: relative;
    margin: 0;
    padding: 0;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}
#navbar #navbarmenu .page-link-wrapper, #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu .sub-page-link-wrapper{
    position: relative;
    list-style-type: none;
    line-height: 1.2;
    margin: 0 1rem;
}
#navbar #navbarmenu .page-link-wrapper .navbar-sub-menu .sub-page-link-wrapper{
    margin: 1.4rem 0;
    line-height: 1.2;
    width: 100%;
}

#navbar #navbarmenu .page-link-wrapper .navbar-sub-menu{
    position: absolute;
    z-index: 1000;
    top: 80px;
    opacity: 0;
    width: 200px;
    background-color: #fff;
    padding: 1rem;
    border-radius: 10px;
    transition:all 1s linear;
}

#navbar #navbarmenu .page-link-wrapper.dropdown-cont:hover .navbar-sub-menu{
    top: 40px;
   opacity: 1;
}

#navbar #navbarmenu .page-link-wrapper .page-link,
#navbar #navbarmenu .page-link-wrapper .page-link-dropdown>span,
#navbar #navbarmenu .page-link-wrapper .navbar-sub-menu .sub-page-link-wrapper .sub-page-link{
    text-align: center;
    text-transform: capitalize;
    color: var(--primary-color-light);
    font-weight: bold;
    display: inline-block;
}
#navbar #navbarmenu .page-link-wrapper .navbar-sub-menu .sub-page-link-wrapper .sub-page-link{
    text-align: left;
   

}
#navbar #navbarmenu .page-link-wrapper .page-link-dropdown>span{
    cursor: pointer;
}
#navbar #navbarmenu .page-link-wrapper .page-link-dropdown>i{
    font-size: 1.2rem;
    cursor: pointer;
    transition: all 0.4s ease-in-out;
}
#navbar #navbarmenu .page-link-wrapper.dropdown-cont:hover .sub-menu-dropdown-icon{
    transform: rotate(-180deg);
}

#navbar #navbarmenu .page-link-wrapper:not(.dropdown-cont)::before,
#navbar #navbarmenu .page-link-wrapper .navbar-sub-menu .sub-page-link-wrapper::before{
    position: absolute;
    content: '';
    width: 0%;
    height: 4px;
    background-color: #f00;
    bottom: 0;
    left: 0;
    right: 0;
    margin-bottom: -2rem;
    transform-origin: right;
}
#navbar #navbarmenu .page-link-wrapper:not(.dropdown-cont):hover::before,
#navbar #navbarmenu .page-link-wrapper .navbar-sub-menu .sub-page-link-wrapper:hover::before{
    width: 100%;
}

#navbar #navbarmenu .page-link-wrapper .navbar-sub-menu .sub-page-link-wrapper:hover::before{
    margin-bottom: -0.7rem;
}

#navbar #navbarmenu .page-link-wrapper .navbar-sub-menu .sub-page-link-wrapper::before{
    margin-bottom: -0.7rem;
}

#navbar #navbarmenu .page-link-wrapper:not(.dropdown-cont).activePageTab::before,
#navbar #navbarmenu .page-link-wrapper .navbar-sub-menu .sub-page-link-wrapper.activePageTab::before{
    width: 100%;
}

.navbar-toggle-btn-wrapper{
    position: relative;
    padding: 3px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 30px;
    height: 30px;
    background-color: var(--primary-color-light);
    cursor: pointer;
    transition: all 0.4s ease-in;
    display: none;
}

.navbar-toggle-btn-wrapper .navbar-toggle-btn{
    font-size: 1.5rem;
    font-weight: bold;
    color: var(--pure-white);
    cursor: pointer;
}
.navbar-toggle-btn-wrapper:hover{
    background-color: #fff;
    border: 1px solid var(--primary-color-light);
}
.navbar-toggle-btn-wrapper:hover .navbar-toggle-btn{
    color: var(--primary-color-deep);
}

@media(max-width:995px){
    #brand-logo-wrapper{
        position: relative;
        width: 75px;
        height: 35px;
    }
    #brand-logo-wrapper #brand-logo{
        position: absolute;
        width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: center;
    }
    #brand-name-wrapper>#brand-name-inner-wrapper{
        position: relative;
    }
    
    #brand-name-inner-wrapper>#brand-name-label{
        font-size: 1.2rem;
    }
    #brand-name-inner-wrapper>#brand-name-slogan{
        font-size: 10px;
    }

}
@media(max-width:945px){
    #brand-logo-wrapper{
        position: relative;
        width: 75px;
        height: 35px
       
    }
    #brand-name-inner-wrapper>#brand-name-label{
        font-size: 1rem;
    }

}

@media(max-width:923px){
    #brand-name-wrapper{
        gap: 0.5rem;
    }
    #brand-name-inner-wrapper>#brand-name-label{
        font-size: 0.9rem;
    }

}

@media(max-width: 905px){
    #site-header{
        z-index: 10000;
    }

    #navbar{
        position: relative;
        display: none;
    }

    #site-header .navbar-toggle-btn-wrapper{
        display: flex;
    }
    #navbar-toggle-btn-controller:checked ~ #navbar{
        position: fixed;
        z-index: -1;
        width: 100%;
        top: 100px;
        left: 0;
        right: 0;
        display: block;
        background-color: var(--pure-white);
        padding: 1rem 0;
        padding-top: 5rem;
        
    }

    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu{
        position: relative;
        display: flex;
        flex-direction: column;
    }

    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu{
        position: relative;
        display: none;
        top: 0;
        left: 0;
        width: 100%;
        height: 220px;
        border-radius: 0;
        overflow-y: auto;
        background-color: var(--primary-color-deep);
        transition: all 1s linear;
    }

    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu::-webkit-scrollbar{
        width: 7px;
    }
    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu::-webkit-scrollbar-thumb{
        background-color: var(--primary-color-light);
        border-radius: 5px;
    }
    
    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu::-webkit-scrollbar-track{
        border: 5px solid #eee;
        box-shadow: inset 2px 2px 0 2px #eee;
    }
    
    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu::moz-scrollbar{
        width: 7px;
    }
    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu::moz-scrollbar-thumb{
        background-color: var(--primary-color-light);
        border-radius: 5px;
    }
    
    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu::moz-scrollbar-track{
        border: 5px solid #eee;
        box-shadow: inset 2px 2px 0 2px #eee;
    }
    
    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu::ms-scrollbar{
        width: 7px;
    }
    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu::ms-scrollbar-thumb{
        background-color: var(--primary-color-light);
        border-radius: 5px;
    }
    
    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu::ms-scrollbar-track{
        border: 5px solid #eee;
        box-shadow: inset 2px 2px 0 2px #eee;
    }
    
    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu::o-scrollbar{
        width: 7px;
    }
    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu::o-scrollbar-thumb{
        background-color: var(--primary-color-light);
        border-radius: 5px;
    }
    
    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu::o-scrollbar-track{
        border: 5px solid #eee;
        box-shadow: inset 2px 2px 0 2px #eee;
    }
    
    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu::scrollbar{
        width: 7px;
    }
    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu::scrollbar-thumb{
        background-color: var(--parimary-color-light);
        border-radius: 5px;
    }
    
    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu::scrollbar-track{
        border: 5px solid #eee;
        box-shadow: inset 2px 2px 0 2px #eee;
    }


    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu .sub-page-link-wrapper .sub-page-link{
        color: var(--pure-white);
    }
    
    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper.dropdown-cont:hover .navbar-sub-menu{
        display: block;
    }
     
    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper,
    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu .sub-page-link-wrapper{
        width: 100%;
        margin: 0.3rem 0;
        padding: 0.5rem;
    }
    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper.dropdown-cont{
        padding: 0.5rem 0;
    }

    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper.dropdown-cont>.page-link-dropdown{
       padding-left: 1rem;
       padding-right: 1rem;
       display: inline-flex;
       align-items: center;
       justify-content: space-between;
       width: 100%;
    }

    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper.dropdown-cont>.page-link-dropdown>.sub-menu-dropdown-icon{
        font-size: 1.5rem;
    }

    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper:not(.dropdown-cont){
        padding-left: 1rem;
    }
    
   #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper:not(.dropdown-cont)::before,
   #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu .sub-page-link-wrapper::before{
        height: 2px;
    }
    
    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper:not(.dropdown-cont):hover::before{
        margin-bottom: -0.1rem;
    }

    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu .sub-page-link-wrapper:hover::before{
        margin-bottom: -0.1rem;
    }

    #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu .sub-page-link-wrapper::before{
        margin-bottom: -0.1rem;
    }

   #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper:not(.dropdown-cont).activePageTab::before,
   #navbar-toggle-btn-controller:checked ~ #navbar #navbarmenu .page-link-wrapper .navbar-sub-menu .sub-page-link-wrapper.activePageTab::before{
        margin-bottom: -0.1rem;
    }

}

@media(max-width:500px){
    #contact--details-wrapper .contact-label{
        font-size: 1rem;
       
    }
    #contact--details-wrapper>.contact-info{
        font-size: 1.4rem;
    }

}


@media(max-width:330px){
    #contact--details-wrapper>.contact-info{
        font-size: 1.2rem;
    }
}
@media(max-width:300px){
    #navbar-toggle-btn-controller:checked ~ #navbar{
        padding-top: 8rem;
        
    }
    #brand-name-wrapper{
        justify-content: flex-start;
    }
}

@media(max-width:275px){
    #contact--details-wrapper>.contact-info{
        font-size: 1rem;
    }
}

@media(max-width: 240px){
    #navbar-toggle-btn-controller:checked ~ #navbar{
        top: 130px;

    }
}

@media(max-width: 209px){
    #navbar-toggle-btn-controller:checked ~ #navbar{
        top: 160px;

    }
}










